## vdr-genindex 0.1.3

=== Makefile ===
#
# A VDR index file generator
#
# (C) 2003-2006 Stefan Huelswitt <s.huelswitt@gmx.de>
#
# This code is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This code is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# Or, point your browser to http://www.gnu.org/copyleft/gpl.html
#

CC       ?= gcc
CFLAGS   ?= -O2

CXX      ?= g++
CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual

DEFINES = -D_GNU_SOURCE

OBJS = genindex.o file.o thread.o ringbuffer.o pes.o

VERSION = $(shell grep 'define PRG_VERSION' version.h | awk '{ print $$3 }' | sed -e 's/[";]//g')
TMPDIR = /tmp
ARCHIVE = "genindex-$(VERSION)"

all: genindex

# Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

# The main program:

genindex: $(OBJS)
	$(CXX) $(CXXFLAGS) $^ -o $@

rmstream: rmstream.o thread.o ringbuffer.o pes.o
	$(CXX) $(CXXFLAGS) $^ -o $@

testindex: testindex.o file.o
	$(CXX) $(CXXFLAGS) $^ -o $@

# Housekeeping:

clean:
	-rm -f $(OBJS) $(ARCHIVE).tar.gz $(DEPFILE) genindex rmstream rmstream.o testindex.o testindex core* *~

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(ARCHIVE).tar.gz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(ARCHIVE).tar.gz

=== debian/changelog ===
vdr-genindex (0.1.3-1ubuntu4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:53 +0100

vdr-genindex (0.1.3-1ubuntu3) disco; urgency=medium

  * d/rules: Convert to minimal dh sequencer.
  * d/compat: Bump to 11.
  * d/control:
    - Build-depend on debhelper (>= 11~).
    - Bump Standards-Version to 4.2.1.
    - Depend on ${misc:Depends}.
    - Use priority optional instead of extra.
    - Fix spelling error in description.
  * d/source/format: Indicate 3.0 (quilt) format.
  * d/p/readme-spelling.patch: Pull Siddhanathan's changes into a quilt patch.
  * d/p/pass-makefile-flags.patch: Have Makefile respect more *FLAGS for
    hardening.
  * d/changelog: Remove trailing whitespace.
  * d/copyright:
    - Fix encoding issue.
    - Add copyright notice.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 26 Dec 2018 01:26:05 -0500

vdr-genindex (0.1.3-1ubuntu2) quantal; urgency=low

  * changed 'usefull' to 'useful' in various places.

 -- Siddhanathan S. <siddhanathan@gmail.com>  Fri, 01 Jun 2012 08:39:48 +0200

vdr-genindex (0.1.3-1ubuntu1) intrepid; urgency=low

  * Initial upload, package from e-tobi.net.
  * Change the maintainer address.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Thu, 08 May 2008 01:42:38 +0300

vdr-genindex (0.1.3-1) unstable; urgency=low

  * Initial Release.

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun, 18 Jun 2006 20:24:40 +0200

=== debian/control ===
Source: vdr-genindex
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Günther <tom@toms-cafe.de>, Tobias Grimm <tg@e-tobi.net>, Thomas Schmidt <tschmidt@debian.org>
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.2.1

Package: vdr-genindex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tool to generate a VDR index file
 Useful if you lost the original index file or if you want to create an index
 file for some other video stuff.

=== debian/watch ===
version=2
http://www.muempf.de/down/genindex-(.*)\.tar\.gz
